CloudFormation: how to run a bash script using metadata
up vote
0
down vote
favorite
The following snippet is from a CloudFormation template and is part of a configSet.
I attempt to create a bash script and save it to /var/composer using files:
This part works just fine.
The script then attempts to execute the bash script using "commands:"
This doesn't work. - Any ideas please?
deployComposer:
files:
/var/composer/composer.sh:
content: !Join
- ''
- -
#!/bin/sh
EXPECTED_SIGNATURE="$(wget -q -O -
https://composer.github.io/installer.sig)"
sudo php -r "copy('https://getcomposer.org/installer',
'composer-setup.php');"
ACTUAL_SIGNATURE="$(php -r "echo hash_file('sha384', 'composer-setup.php');")"
if [ "$EXPECTED_SIGNATURE" != "$ACTUAL_SIGNATURE" ]
then
>&2 echo 'ERROR: Invalid installer signature'
sudo rm composer-setup.php
exit 1
fi
sudo php composer-setup.php --quiet
RESULT=$?
sudo rm -rf composer-setup.php
sudo mv composer.phar /usr/local/bin/composer
exit $RESULT
mode: '000777'
owner: root
group: root
commands:
installComposer:
command: ./composer.sh
cwd: /var/composer/
amazon-web-services amazon-cloudformation
add a comment |
up vote
0
down vote
favorite
The following snippet is from a CloudFormation template and is part of a configSet.
I attempt to create a bash script and save it to /var/composer using files:
This part works just fine.
The script then attempts to execute the bash script using "commands:"
This doesn't work. - Any ideas please?
deployComposer:
files:
/var/composer/composer.sh:
content: !Join
- ''
- -
#!/bin/sh
EXPECTED_SIGNATURE="$(wget -q -O -
https://composer.github.io/installer.sig)"
sudo php -r "copy('https://getcomposer.org/installer',
'composer-setup.php');"
ACTUAL_SIGNATURE="$(php -r "echo hash_file('sha384', 'composer-setup.php');")"
if [ "$EXPECTED_SIGNATURE" != "$ACTUAL_SIGNATURE" ]
then
>&2 echo 'ERROR: Invalid installer signature'
sudo rm composer-setup.php
exit 1
fi
sudo php composer-setup.php --quiet
RESULT=$?
sudo rm -rf composer-setup.php
sudo mv composer.phar /usr/local/bin/composer
exit $RESULT
mode: '000777'
owner: root
group: root
commands:
installComposer:
command: ./composer.sh
cwd: /var/composer/
amazon-web-services amazon-cloudformation
add a comment |
up vote
0
down vote
favorite
up vote
0
down vote
favorite
The following snippet is from a CloudFormation template and is part of a configSet.
I attempt to create a bash script and save it to /var/composer using files:
This part works just fine.
The script then attempts to execute the bash script using "commands:"
This doesn't work. - Any ideas please?
deployComposer:
files:
/var/composer/composer.sh:
content: !Join
- ''
- -
#!/bin/sh
EXPECTED_SIGNATURE="$(wget -q -O -
https://composer.github.io/installer.sig)"
sudo php -r "copy('https://getcomposer.org/installer',
'composer-setup.php');"
ACTUAL_SIGNATURE="$(php -r "echo hash_file('sha384', 'composer-setup.php');")"
if [ "$EXPECTED_SIGNATURE" != "$ACTUAL_SIGNATURE" ]
then
>&2 echo 'ERROR: Invalid installer signature'
sudo rm composer-setup.php
exit 1
fi
sudo php composer-setup.php --quiet
RESULT=$?
sudo rm -rf composer-setup.php
sudo mv composer.phar /usr/local/bin/composer
exit $RESULT
mode: '000777'
owner: root
group: root
commands:
installComposer:
command: ./composer.sh
cwd: /var/composer/
amazon-web-services amazon-cloudformation
The following snippet is from a CloudFormation template and is part of a configSet.
I attempt to create a bash script and save it to /var/composer using files:
This part works just fine.
The script then attempts to execute the bash script using "commands:"
This doesn't work. - Any ideas please?
deployComposer:
files:
/var/composer/composer.sh:
content: !Join
- ''
- -
#!/bin/sh
EXPECTED_SIGNATURE="$(wget -q -O -
https://composer.github.io/installer.sig)"
sudo php -r "copy('https://getcomposer.org/installer',
'composer-setup.php');"
ACTUAL_SIGNATURE="$(php -r "echo hash_file('sha384', 'composer-setup.php');")"
if [ "$EXPECTED_SIGNATURE" != "$ACTUAL_SIGNATURE" ]
then
>&2 echo 'ERROR: Invalid installer signature'
sudo rm composer-setup.php
exit 1
fi
sudo php composer-setup.php --quiet
RESULT=$?
sudo rm -rf composer-setup.php
sudo mv composer.phar /usr/local/bin/composer
exit $RESULT
mode: '000777'
owner: root
group: root
commands:
installComposer:
command: ./composer.sh
cwd: /var/composer/
amazon-web-services amazon-cloudformation
amazon-web-services amazon-cloudformation
asked Nov 22 at 14:00
Sascha
8418
8418
add a comment |
add a comment |
active
oldest
votes
active
oldest
votes
active
oldest
votes
active
oldest
votes
active
oldest
votes
Thanks for contributing an answer to Stack Overflow!
- Please be sure to answer the question. Provide details and share your research!
But avoid …
- Asking for help, clarification, or responding to other answers.
- Making statements based on opinion; back them up with references or personal experience.
To learn more, see our tips on writing great answers.
Some of your past answers have not been well-received, and you're in danger of being blocked from answering.
Please pay close attention to the following guidance:
- Please be sure to answer the question. Provide details and share your research!
But avoid …
- Asking for help, clarification, or responding to other answers.
- Making statements based on opinion; back them up with references or personal experience.
To learn more, see our tips on writing great answers.
Sign up or log in
StackExchange.ready(function () {
StackExchange.helpers.onClickDraftSave('#login-link');
});
Sign up using Google
Sign up using Facebook
Sign up using Email and Password
Post as a guest
Required, but never shown
StackExchange.ready(
function () {
StackExchange.openid.initPostLogin('.new-post-login', 'https%3a%2f%2fstackoverflow.com%2fquestions%2f53432627%2fcloudformation-how-to-run-a-bash-script-using-metadata%23new-answer', 'question_page');
}
);
Post as a guest
Required, but never shown
Sign up or log in
StackExchange.ready(function () {
StackExchange.helpers.onClickDraftSave('#login-link');
});
Sign up using Google
Sign up using Facebook
Sign up using Email and Password
Post as a guest
Required, but never shown
Sign up or log in
StackExchange.ready(function () {
StackExchange.helpers.onClickDraftSave('#login-link');
});
Sign up using Google
Sign up using Facebook
Sign up using Email and Password
Post as a guest
Required, but never shown
Sign up or log in
StackExchange.ready(function () {
StackExchange.helpers.onClickDraftSave('#login-link');
});
Sign up using Google
Sign up using Facebook
Sign up using Email and Password
Sign up using Google
Sign up using Facebook
Sign up using Email and Password
Post as a guest
Required, but never shown
Required, but never shown
Required, but never shown
Required, but never shown
Required, but never shown
Required, but never shown
Required, but never shown
Required, but never shown
Required, but never shown